org.eclipse.cdt.utils.xcoff

## Class AR.MemberHeader

- java.lang.Object
- - org.eclipse.cdt.utils.xcoff.AR.MemberHeader

Enclosing class:
  AR

    public class AR.MemberHeader
    extends Object

The `ARHeader` class is used to store the per-object file archive headers. It can also create an XCOFF32 object for inspecting the object file data.

### Constructor Summary

Constructors
Constructor and Description
`MemberHeader()` Creates a new archive header object.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getArchiveName()`
`byte[]` `getObjectData()`
`long` `getObjectDataOffset()`
`String` `getObjectName()` Get the name of the object file
`long` `getSize()` Get the size of the object file .

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemberHeader

    public MemberHeader()
                 throws IOException

Creates a new archive header object. Assumes that file is already at the correct location in the file.

Throws:
  `IOException` - There was an error processing the header data from the file.

### Method Detail

#### getObjectName

    public String getObjectName()

Get the name of the object file

#### getSize

    public long getSize()

Get the size of the object file .

#### getArchiveName

    public String getArchiveName()

#### getObjectDataOffset

    public long getObjectDataOffset()

#### getObjectData

    public byte[] getObjectData()
                         throws IOException

Throws:
  `IOException`